# Install rubygems.
#
class ruby::rubygems {

    tag("bootstrap")

    require gcc
    require gnu::make

    package { "ruby-devel":
        ensure => installed,
        name   => $operatingsystem ? {
            "ubuntu" => regsubst($rubyversion, '^([0-9]+\.[0-9]+)\..*', 'ruby\1-dev'),
            default  => "ruby-devel",
        },
    }

    package { "rubygems":
        ensure  => installed,
        require => Package["ruby-devel"],
    }

}
